validator = context.portal_form.createForm()
validator.addField('title', 'String', required=1, required_not_found='Please enter a title.')
validator.addField('author', 'String', required=1, required_not_found='Please enter the author.')
validator.addField('contactemail', 'String', required=1, required_not_found='Please enter the email.')
validator.addField('deadline', 'Date', required=1, required_not_found='Please enter a valid deadline.')

errors = validator.validate(context.REQUEST)

if errors:
    return ('failure', errors, {'portal_status_message':'Please correct the indicated errors.'})
else:
    return ('success', errors, {})
